Method: networks.daiEncodingProfiles.batchArchive

Archives a list of DaiEncodingProfile objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/daiEncodingProfiles:batchArchive

Path parameters

Parameters
parent

string

Required. Format: networks/{networkCode}

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (ArchiveDaiEncodingProfileRequest)
    }
  ]
}
Fields
requests[]

object (ArchiveDaiEncodingProfileRequest)

Required. The DaiEncodingProfile objects to archive. A maximum of 100 objects can be archived in a batch.

Response body

If successful, the response body is empty.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

ArchiveDaiEncodingProfileRequest

Request object for ArchiveDaiEncodingProfile method.

JSON representation
{
  "name": string
}
Fields
name

string

Required. The resource name of the DaiEncodingProfile to archive. Format: networks/{networkCode}/daiEncodingProfiles/{dai_encoding_profile_id}